@php
  $block_info = App::get_block_info($block);
  $title = get_field('title');
  $description = get_field('description');
  $image = get_field('image');
  $link = get_field('link');
  $show_button = get_field('show_button');
@endphp

<div id="{{ $block_info['id'] }}"
     class="{{ $block_info['classes'] }}">

    @include('partials.teaser-card', ['title' => $title ?? '',
                                      'description' => $description ?? '',
                                      'image' => $image['url'] ?? '',
                                      'image_lazy' => $image['sizes']['large'] ?? '',
                                      'image_title' => $image['title'] ?? '',
                                      'link' => $link['url'] ?? '',
                                      'link_title' => $link['title'] ?? '',
                                      'show_button' => $show_button ?? '',
                                      'target' => $link['target'] ?? ''])
</div>